Page MenuHomePhabricator

Homepage: mobile side menu copy changes
Closed, ResolvedPublic

Description

Homepage mobile and desktop user test results showed that homepage discovery can be tricky for newcomers. We're designing some features to aid discovery in T220552

But, specifically on mobile, we want to make sure to avoid offering misleading links in the side menu.
We propose to change the copy of two elements in the mobile side menu:

  • The link to the main page will be renamed from "Home" to "Main page" (to avoid potential confusion between Homepage and Main page)
  • The icon for "Main page" should be changed from a house to a newspaper, shown on the right-hand side in the image below.
  • This change should be inside our feature set -- only users in our treatment groups should see the change.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterOverride mobile home menu text and icon
mediawiki/skins/MinervaNeue : masterAllow overriding text and CSS class for home menu entry

Event Timeline

Cntlsn created this task.May 14 2019, 9:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2019, 9:45 AM
Cntlsn renamed this task from Mobile Homepage: mobile side menu copy interventions to Homepage: mobile side menu copy changes.May 17 2019, 10:57 AM
Cntlsn updated the task description. (Show Details)
Cntlsn added subscribers: JTannerWMF, Catrope, SBisson and 6 others.
Cntlsn updated the task description. (Show Details)May 17 2019, 2:48 PM

In thinking about this and talking with @Cntlsn and @alexhollender, I think we need to talk about it with the rest of the Growth team. On the one hand, we suspect that these changes will decrease newcomer confusion and help bring them to the homepage. But on the other hand, we would be changing a part of the mobile experience that is external to the Growth team's features, and we would not have a way to show for certain whether it is an improvement.

@JTannerWMF -- could you put this on the agenda for an upcoming team discussion?

The team discussed today and had the following thoughts and ideas.

  • An overarching thought was that if we're concerned that users won't click their username to find their homepage, we should change the homepage link to make it more attractive, as opposed to changing all the other links to make them less attractive. We're working on these thoughts in other subtasks of T220552, but we don't yet have plans to have the homepage live somewhere apart from behind the username. As we gain confidence in the homepage's value, we may increase its affordance, or we may pursue the idea of nesting all personal tools under a dropdown menu.
  • A simple idea is to just add the homepage as a new link in the side menu, in addition to the username link (which would continue to go to the user page). This would cause a difference with desktop. It would also require changing the "Home" button to say "Main".
  • Another approach would be to change "Home" to "Main" because that is uncontroversial, to not change "Contributions" to "Past contributions" because that would be controversial and lead to a difference with desktop, and to add a link to the homepage to the blank "Contributions" page when the user has no contributions. This would be for desktop, also.
  • Another idea is to not show the "Contributions" option in the side menu (or have it grayed out) until the user has a contribution.

I'm going to put this on the agenda for Humans of the Web to get some additional opinions on 2019-05-30. We will revisit.

alexhollender added a comment.EditedMay 30 2019, 4:33 PM

On desktop it's called "Main page". If we make this change I think it would make sense to match that.

Perhaps changing the icon would make sense as well, e.g.

@MMiller_WMF any interesting comments about this task came out of the Humans of the Web meeting?

Talking about the ideas we discussed within the Growth team, I do like most of them but I think that the best scenario right now would be to follow this path:

  • Another approach would be to change "Home" to "Main" because that is uncontroversial, to not change "Contributions" to "Past contributions" because that would be controversial and lead to a difference with desktop, and to add a link to the homepage to the blank "Contributions" page when the user has no contributions. This would be for desktop, also.

Also I agree with @alexhollender that at this point we should call it Main page to be consistent with the Desktop experience, and I would vote for version 2 of the icon change proposal -- the one with the "newspaper" icon.

Thanks @Cntlsn and @alexhollender. Here's what I think we should do:

  • Using this task, we will change the label to say "Main page" and change the icon to the horizontal icon instead of the house.
  • Using this new task I just created (T225328), we will add a link to the homepage to both the desktop and mobile Contributions pages when the user has no contributions. I left a note on that task for @alexhollender to see if that idea will conflict with AMC work.

I'm going to put this task (just the label and icon change) in Ready for Development, but designers please speak up if you're not good with any part of the plan.

MMiller_WMF removed Cntlsn as the assignee of this task.Jun 7 2019, 8:27 PM

I'm good with that, and changing the mockups accordingly, thanks!

MMiller_WMF updated the task description. (Show Details)Jun 10 2019, 6:10 PM
ovasileva moved this task from Needs triage to Triaged on the Mobile board.Jun 11 2019, 1:49 PM

@alexhollender do you happen to know the name/path of the newspaper icon in Minerva?

@alexhollender do you happen to know the name/path of the newspaper icon in Minerva?

It's newspaper. ltr svg, rtl svg.

For future reference you can see all OOUI icons here.

Thanks @alexhollender. There's a comment at the top of MinervaUI.php (added in 0dd994ed) which says FIXME: Use OOUI when available so I stopped reading and assumed we might be doing something different than the OOUI icons. :)

Change 519327 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/skins/MinervaNeue@master] Allow overriding name and CSS class for home menu entry

https://gerrit.wikimedia.org/r/519327

Change 519328 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] (wip) Override mobile home menu text and icon

https://gerrit.wikimedia.org/r/519328

Change 519327 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Allow overriding text and CSS class for home menu entry

https://gerrit.wikimedia.org/r/519327

Change 519328 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Override mobile home menu text and icon

https://gerrit.wikimedia.org/r/519328

Before - wmf.11After - betalabs

RTL

Before - wmf.11After - betalabs

Thanks. I'll leave this in my column until it's successfully in production.

MMiller_WMF closed this task as Resolved.Sep 23 2019, 10:21 PM

Thank you!